@import url('https://fonts.googleapis.com/css2?family=Onest:wght@100..900&display=swap');

@font-face {
    font-family: 'PP Pangaia';
    src: url('../font/PPPangaia-Bold.woff2') format('woff2'),
        url('../font/PPPangaia-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'PP Pangaia';
    src: url('../font/PPPangaia-Medium.woff2') format('woff2'),
        url('../font/PPPangaia-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'PP Pangaia';
    src: url('../font/PPPangaia-Ultralight.woff2') format('woff2'),
        url('../font/PPPangaia-Ultralight.woff') format('woff');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}


:root {
    --primary-color: #242424;
    --secondary-color: #636A55;
    --third-color: #432615;
    --red-color: #ff0000;
    --yellow-color: #FCBF2E;
    --dark-color: #000000;
    --white-color: #FFFFFF;
    --text-color: #4D4D4D;
    --text-color-2: #7B7B7B;
    --my-font: 'PP Pangaia', sans-serif;
    --my-shadow: 0 2px 2px 0px rgba(0, 0, 0, 0.1)
}

*,
html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-size: 100%;
    margin: 0;
    padding: 0;
    font-family: "Onest", sans-serif;
    letter-spacing: 0.25px;
    color: #121212;
}

a {
    text-decoration: none;
    color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6,
ul {
    margin-bottom: 0;
}

ul {
    list-style: none;
}

.pointer {
    cursor: pointer;
}

.primary-color {
    color: var(--primary-color) !important;
}

.secondary-color {
    color: var(--secondary-color) !important;
}

.third-color {
    color: var(--third-color) !important;
}

.container-fluid {
    width: calc(100% - 100px);
    margin-left: 50px;
    margin-right: 50px;
}

.section-padding {
    padding: 60px 0;
}

.my-font {
    font-family: var(--my-font);
}

.sub-title {
    font-size: 28px;
    color: var(--primary-color);
    text-transform: capitalize;
    font-style: italic;
    position: relative;
    display: inline-flex;
    align-items: center;
    line-height: 1;
    gap: 10px;
    font-weight: 200;
    margin-bottom: 20px;
    font-family: var(--my-font);

    &::before {
        content: '';
        width: 40px;
        height: 2px;
        background-color: var(--primary-color);
    }

    &::after {
        content: '';
        width: 40px;
        height: 2px;
        background-color: var(--primary-color);
    }
}

.title {
    font-size: 40px;
    margin-bottom: 50px;
    font-weight: 500;
    text-transform: capitalize;
    color: var(--primary-color);
}

.btn1 {
    display: inline-block;
    border-radius: 50vw;
    padding: 10px 28px;
    font-size: 14px;
    color: var(--white-color);
    background-color: var(--third-color);
    border: 1px solid var(--third-color);
    font-weight: 500;
    transition: all 0.3s ease-in-out;

    &:hover {
        background-color: transparent;
        color: var(--primary-color);
        border: 1px solid var(--primary-color);
    }
}

.btn2 {
    display: inline-block;
    border-radius: 50vw;
    padding: 10px 28px;
    font-size: 14px;
    background-color: transparent;
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
    font-weight: 500;
    transition: all 0.3s ease-in-out;

    &:hover {
        background-color: var(--primary-color);
        color: var(--white-color);
    }
}


/* ================================ 
Header Section 
=================================== */
header {
    padding: 14px 0;
    border-bottom: 1px solid #7b7f6250;
    background-color: #fdfaf4;
    position: relative;

    .logo {
        font-size: 36px;
        font-family: var(--my-font);
        font-weight: 200;
        letter-spacing: 1.5px;
        color: var(--primary-color);
    }


    .nav-link {
        padding: 10px 18px !important;
        font-size: 16px;
        display: block;
        margin: 0;
        border-bottom: 1px dashed #a8a8a8;
        border-width: 1px;
        color: #F8DD89;
        transition: all 0.3s ease-in-out;
    }

    .nav-link:hover {
        color: var(--white-color) !important;
    }

    .contact-details {
        border-top: 1px solid #f8dc8986;
        margin-top: 5px;
        padding-top: 5px;

        p {
            padding: 10px 18px !important;
            border-bottom: 1px dashed #a8a8a8;
            border-width: 1px;
            margin-bottom: 0;
            color: var(--white-color);
        }
    }

    .nav-link:hover {
        color: var(--primary-color);
    }

    #offcanvasNavbar {
        width: 300px;
        height: 100vh;
        background-color: var(--primary-color)
    }

    #offcanvasNavbar .button {
        display: inline-block;
        margin-top: 10px
    }

    .offcanvas-title {
        font-size: 24px;
        font-family: var(--my-font);
    }

    .banner h2 {
        font-size: 38px;
        line-height: 54px
    }

    .offcanvas-title img {
        height: 30px
    }

    .offcanvas-header {
        background-color: #f4f4f4;
        padding-top: .75rem;
        padding-bottom: .75rem
    }

    .offcanvas-body {
        padding-left: 0 !important;
        padding-top: 8px;
        padding-right: 0 !important;
        background-color: var(--primary-color)
    }
}

header.scroll-on {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    padding: 12px 0;
    background: var(--white-color);
    box-shadow: 0 -2px 20px 5px #00000028;
    animation: fadeInDown 0.5s ease-in-out
}

@keyframes fadeInDown {
    0% {
        top: -30%
    }

    50% {
        top: -15%
    }

    100% {
        top: 0
    }
}

/* ================================ 
Banner Section 
=================================== */
.banner {
    padding-top: 2rem;
    background-color: #fdfaf4;

    h1 {
        font-size: 3.85vw;
        font-family: var(--my-font);
        text-transform: capitalize;
        color: var(--primary-color);
        font-weight: 200;
        letter-spacing: 1.5px;
        line-height: 90px;
    }

    p {
        font-size: 18px;
        line-height: 32px;
        color: #303030;
        font-weight: 400;
    }
}

/* ================================ 
About Section 
=================================== */
.about {
    /* background-color: #EFE7DA; */
    padding: 80px 0;

    h2 {
        text-transform: capitalize;
        line-height: 50px;
        font-size: 36px;
        font-weight: 400;
        font-style: italic;
    }
}

/* ================================ 
Service Section 
=================================== */
.service {
    background-color: #EFE7DA;

    h3 {
        font-size: 36px;
        font-family: var(--my-font);
        font-weight: 200;
        color: var(--primary-color);
        margin: 16px 0 12px 0;
        text-transform: capitalize;
        font-style: italic;
    }

    p {
        font-size: 16px;
        color: #292929;
        line-height: 28px;
        font-weight: 400;
    }

    span {
        display: block;
        margin-bottom: 24px;
        font-weight: 500;
        font-size: 18px;
        font-family: var(--my-font);
        letter-spacing: 1.5px;
    }
}

/* ================================ 
Why Section 
=================================== */
.why {
    .inner-contain {
        text-align: center;
        padding: 30px;
        background-color: #efe7da81;
        border-radius: 10px;
        border: 1px solid #efe7da;

        h3 {
            font-size: 32px;
            font-family: var(--my-font);
            font-weight: 200;
            color: var(--primary-color);
            margin: 16px 0 12px 0;
            text-transform: capitalize;
            font-style: italic;
        }

        i {
            font-size: 50px;
            color: var(--primary-color);
            margin-bottom: 10px;
        }
    }
}

/* ================================ 
Footer Section 
=================================== */
footer {
    background-color: #1a0b03;
    padding-top: 3rem;
    padding-bottom: 1.25rem;
    color: var(--white-color);

    h2 {
        font-size: 36px;
        margin-top: 1rem;
        font-family: var(--my-font);
        font-weight: 200;
        font-style: italic;
        text-transform: capitalize;
        letter-spacing: 1.5px;
    }

    h4 {
        font-size: 26px;
        font-weight: 200;
        margin-bottom: 1rem;
        font-family: var(--my-font);
        font-style: italic;
    }

    ul {
        li {
            padding-left: 10px;
            margin-bottom: 12px;

            &:last-child {
                margin-bottom: 0;
            }
        }
    }
}


/* ================================ 
Inner Banner section 
=================================== */
.inner-banner {
    width: 100%;
    width: 100%;
    height: 200px;
    background: #FDFAF4;
    align-content: center;

    h1 {
        font-size: 36px;
        font-weight: 700;
        color: var(--third-color);
        margin-bottom: 6px;
    }

    h2 {
        font-size: 36px;
        font-weight: 700;
        color: var(--third-color);
        margin-bottom: 6px;
    }

}

/*================================================
Contact Page
=================================================*/
.contact-area {
    position: relative;
    z-index: 1;
}

.contact-form form .form-control {
    background-color: #ffffff;
    border: none;
    box-shadow: 0px 5px 28.5px 1.5px rgba(149, 152, 200, 0.2) !important;
    height: 57px;
}

.contact-form form .form-group {
    text-align: left;
    margin-bottom: 15px;
}

.contact-form form .row {
    margin-left: -7px;
    margin-right: -7px;
}

.contact-form form .row .col-lg-12,
.contact-form form .row .col-lg-6 {
    padding-left: 7px;
    padding-right: 7px;
}

.contact-form form textarea.form-control {
    height: auto;
    padding-top: 15px;
}

.contact-form form .btn {
    font-size: 16px;
    margin-top: 10px;
    box-shadow: 0px 5px 28.5px 1.5px rgba(149, 152, 200, 0.5) !important;
}

.contact-form form .btn.disabled {
    cursor: not-allowed !important;
}

.contact-form form .btn.disabled:hover::before,
.contact-form form .btn.disabled:focus::before {
    opacity: 1;
    visibility: visible;
}

.contact-form form .btn.disabled:hover::after,
.contact-form form .btn.disabled:focus::after {
    opacity: 0;
    visibility: hidden;
}

.contact-form form .help-block ul {
    padding-left: 0;
    list-style-type: none;
    margin-top: 5px;
    margin-bottom: 0;
}

.contact-form form .help-block ul li {
    color: red;
}

.contact-form form #msgSubmit {
    margin-bottom: 0;
    text-align: center !important;
}

.contact-form form #msgSubmit.text-danger,
.contact-form form #msgSubmit.text-success {
    margin-top: 8px;
    font-size: 20px;
    font-weight: 600;
}

.contact-info-2 {
    padding-left: 25px;
}

.contact-info-2 ul {
    padding-left: 0;
    margin-bottom: 0;
    list-style-type: none;
}

.contact-info-2 ul li {
    position: relative;
    padding-left: 80px;
    color: #7d7d7d;
    margin-bottom: 30px;
}

.contact-info-2 ul li .icon {
    border: 1px dashed var(--primary-color);
    width: 60px;
    height: 60px;
    line-height: 60px;
    color: #ffffff;
    border-radius: 50%;
    font-size: 25px;
    text-align: center;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}

.contact-info-2 ul li .icon::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: var(--secondary-color);
    border-radius: 50%;
    margin: 6px;
    box-shadow: 0 1px 3px 1px #C8A155;
    z-index: -1;
}

.contact-info-2 ul li span {
    display: block;
    margin-bottom: 8px;
    color: #121521;
    font-family: "Poppins", sans-serif;
    font-size: 20px;
    font-weight: 600;
}

.contact-info-2 ul li a {
    color: #7d7d7d;
    transition: all 0.3s ease-in-out;
    display: block;
}

.contact-info-2 ul li a:hover {
    color: var(--primary-color);
}

.contact-info-2 ul li:last-child {
    margin-bottom: 0;
}





@media (max-width : 1528px) {
    .banner {
        h1 {
            font-size: 3.85vw;
            line-height: 80px;
        }

        p {
            font-size: 18px;
            line-height: 30px;
        }
    }

    .about {
        h2 {
            line-height: 46px;
            font-size: 30px;
        }
    }
}

@media (max-width: 1440px) {
    .banner {
        h1 {
            font-size: 3.65vw;
            line-height: 68px;
        }

        p {
            font-size: 17px;
            line-height: 30px;
        }
    }

    .why {
        .inner-contain {
            h3 {
                font-size: 30px;
            }
        }
    }

    footer {
        h2 {
            font-size: 30px;
        }
    }
}

@media (max-width: 1366px) {
    .title {
        font-size: 36px;
    }

    .sub-title {
        margin-bottom: 16px;
    }

    .banner {
        p {
            font-size: 15px;
            line-height: 26px;
        }

        h1 {
            font-size: 3.65vw;
            line-height: 66px;
        }
    }

    .about {
        h2 {
            line-height: 44px;
            font-size: 28px;
        }
    }

    .service {
        h3 {
            font-size: 32px;
            margin: 16px 0 8px 0;
        }

        p {
            font-size: 15px;
            line-height: 27px;
        }
    }
}

@media (max-width: 1276px) {
    header {
        .logo {
            font-size: 30px;
        }
    }
}

@media (max-width: 991px) {
    .banner {
        h1 {
            font-size: 4.5vw;
            line-height: 60px;
            margin-bottom: 16px;
        }
    }

    .about {
        padding: 60px 0;
    }
}

@media (max-width: 800px) {
    .banner {
        h1 {
            font-size: 4.5vw;
            line-height: 50px;
        }
    }

    .about {
        h2 {
            line-height: 40px;
            font-size: 24px;
        }
    }

    .btn2 {
        padding: 8px 20px;
    }

    .service {
        h3 {
            font-size: 28px;
        }
    }

    .why {
        .inner-contain {
            h3 {
                font-size: 28px;
            }
        }
    }
}

@media (max-width: 767px) {
    .title {
        font-size: 32px;
        margin-bottom: 40px;
    }

    .sub-title {
        font-size: 26px;
    }

    .contact-info-2 {
        padding-left: 0px;
    }

    .container-fluid {
        width: calc(100% - 50px);
        margin-left: 25px;
        margin-right: 25px;
    }

}

@media (max-width: 480px) {
    .container-fluid {
        width: calc(100% - 20px);
        margin-left: 10px;
        margin-right: 10px;
    }

    header {
        padding: 10px 0;

        .logo {
            font-size: 24px;
        }
    }

    .banner {
        h1 {
            font-size: 6vw;
            line-height: 40px;
        }
    }

    .btn2 {
        padding: 6px 16px;
    }

    .about {
        h2 {
            line-height: 32px;
            font-size: 20px;
        }
    }

    .title {
        font-size: 26px;
        margin-bottom: 36px;
    }

    .sub-title {
        font-size: 24px;
    }

    .banner {
        padding-top: 1.5rem;
    }

    .about {
        padding: 40px 0;
    }

    footer {
        h2 {
            font-size: 20px;
        }

        h4 {
            font-size: 20px;
        }

        ul {
            li {
                a {
                    font-size: 14px;
                }
            }
        }

        p {
            font-size: 14px;
        }
    }
}


@media (max-width: 430px) {
    .banner {
        h1 {
            font-size: 6vw;
            line-height: 36px;
        }
    }
}